Draft: Bez Curve

From FreeCAD Documentation
Revision as of 17:50, 21 February 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft BezCurve

poziția meniului
Draft → BezCurve
Ateliere
Draft, Arch
scurtătură
B Z
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul

Descriere

Instrumentul BezCurve creează o Bezier Curve (sau o curbă Bezier în bucăți) din mai multe puncte din planul curent work plane. Este nevoie de linewidth and color setată anterior pe fila Activități.

The BezCurve tool curve uses control points to define the direction of the curve; on the other hand the Draft BSpline tool specifies the exact points through which the curve will go. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Bezier curve defined by multiple control points

Cum se folosește

  1. Invoke the Draft BezCurve command several ways:
    • Press the Draft BezCurve button in Draft toolbar
    • Press the B then Z keyboard keys
    • Use the Draft → Bezier tools → BezCurve entry in the Draft menu
  2. Click a first point on the 3D view, or type a coordinate and press the add point button.
  3. Click additional points on the 3D view, or type a coordinate and press the add point button.
  4. Press Esc or the Close button, or double-click the last point to complete the edition.

Obiectul este creat ca o singură curbă Bezier de grad (număr_de_ puncte - 1). Aceasta poate fi modificată la o curbă Bezier în parte, de un anumit grad după crearea folosind editor proprietăți. Bezier Curves poate fi editat folosind Editare proiect.

The curve can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the points to a new position, or click add point or remove point and then click on the curve to add or remove points. You can also change the constraint type of each point.

Noduri de Constrângere

Punctele finale ale segmentului într-o curbă Bezier în parte pot fi constrânse astfel încât punctele adiacente de control să fie tangente sau simetrice față de segmentele de la punctul final. Acest lucru se face după crearea obiectelor Draft Edit.

  • Sharp - remove constraints
  • Tangent - force adjacent control points to be tangent
  • Symmetric - forțează punctele adiacente de control să fie tangente și echidistant

The segment endpoints can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. First, start editing the curve, then pick one of the tools and then pick a point. Click again on the tool to deactivate it, so you can move the point.

  • sharp remove constraints on the points so the curve can have sharp corners.
  • tangent force adjacent control points to be tangent.
  • symmetric force adjacent control points to be tangent and equidistant.

Limitări

  • Acest instrument nu este disponibil înainte de versiunea FreeCAD 0.14
  • Proprietatea puncte nu apare încă în lista de proprietăți.
  • OpenCascade nu suportă Bezier Curve cu grad> 25. Aceasta nu ar trebui să fie o problemă în practică.

Cum se foloseşte

  1. Apăsați butonul Draft BezCurve , sau apăsați W apoi tastele I
  2. Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
  3. Faceți clic pe un punct suplimentar în vizualizarea 3D sau tastați un coordinate
  4. Apăsați F sau C sau faceți dublu clic pe ultimul punct sau faceți clic pe primul punct pentru a termina sau a închide filamentul/polilinia. Dacă filamentul este închis, acesta va fi, de asemenea, o fațetă, chiar dacă acesta apare ca o rețea wireframe.
  • Apăsați tasta F sau butonul Finish pentru a finaliza funcția B spline, lăsând-o deschisă
  • Press C or the Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BezCurve tool will restart after you finish or close it, allowing you to draw another one without pressing the BezCurve button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Apăsați tasta ESC sau butonul Cancel penru a abandona comanda BezCurve .

Proprietăți

Data

  • DateDegree: specifies the degree of the Bezier curve or the individual segments.
  • DateClosed: specifies if the curve is closed or not. If the curve is initially open, this value is false; setting it to true will draw a segment to close the curve. If the curve is initially closed, this value is true; setting it to false will remove the last segment, and make the curve open.
  • DateMake Face: specifies if the curve makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if DateClosed is true.
Note: do not set DateMake Face to true if the curve intersects itself, as it won't create a proper face.
  • DateContinuity: (read-only) when the curve is closed, indicates the continuity of the curve [0], or [0,0]. Otherwise it's [].

View

  • VizualizareArrow Size: specifies the size of the symbol displayed at the end of the curve.
  • VizualizareArrow Type: specifies the type of symbol displayed at the end of the curve, which can be dot, circle, arrow, and tick.
  • VizualizareEnd Arrow: specifies whether to show a symbol at the last point of the curve, so it can be used as an annotation line.
  • VizualizarePattern: specifies a Draft Pattern with which to fill the face of the closed curve. This property only works if DateMake Face is true, and if VizualizareDisplay Mode is "Flat Lines".
  • VizualizarePattern Size: specifies the size of the Draft Pattern.

Scrip-Programare

Instrumentul BezCurve poate fi folosit în macros și din consola Python utilizând următoarea funcție:

BezCurve = makeBezCurve(pointslist, closed=False, placement=None, face=None, support=None, degree=None)
BezCurve = makeBezCurve(Part.Wire, closed=False, placement=None, face=None, support=None, degree=None)
  • Creați un obiect tip curbă Bezier din lista dată a vectorilor. În loc de o listă de puncte, puteți trece și o secțiune parțială.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)
p4 = FreeCAD.Vector(1500, -2000, 0)

BezCurve1 = Draft.makeBezCurve([p1, p2, p3, p4], closed=True)
BezCurve2 = Draft.makeBezCurve([p4, 1.3*p2, p1, 4.1*p3], closed=True)
BezCurve3 = Draft.makeBezCurve([1.7*p3, 1.5*p4, 2.1*p2, p1], closed=True)